Hi,

After I update galaxy-dist to the latest version, I got the following error
message when I run run.sh command:

galaxy.tool_shed.tool_shed_registry DEBUG 2012-06-01 09:57:15,503 Loaded
reference to tool shed: Galaxy test tool shed
Traceback (most recent call last):
  File "/home/galaxy/galaxy-dist/lib/galaxy/web/buildapp.py", line 82, in
app_factory
    app = UniverseApplication( global_conf = global_conf, **kwargs )
  File "/home/galaxy/galaxy-dist/lib/galaxy/app.py", line 64, in __init__
    self.installed_repository_manager.load_proprietary_datatypes()
  File "/home/galaxy/galaxy-dist/lib/galaxy/tool_shed/__init__.py", line
26, in load_proprietary_datatypes
    load_datatype_items( self.app, tool_shed_repository,
relative_install_dir )
  File "/home/galaxy/galaxy-dist/lib/galaxy/util/shed_util.py", line 1024,
in load_datatype_items
    converter_path, display_path =
alter_config_and_load_prorietary_datatypes( app, datatypes_config,
relative_install_dir, deactivate=deactivate )
  File "/home/galaxy/galaxy-dist/lib/galaxy/util/shed_util.py", line 236,
in alter_config_and_load_prorietary_datatypes
    app.datatypes_registry.load_datatypes( root_dir=app.config.root,
config=proprietary_datatypes_config, deactivate=deactivate,
override=override )
TypeError: load_datatypes() got an unexpected keyword argument 'override'
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to